require "tuffnells_api/version"
require "tuffnells_api/configuration"
require "tuffnells_api/base"
require "tuffnells_api/consignment"
require "tuffnells_api/errors"

module TuffnellsApi
  class << self
    attr_accessor :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield configuration
  end
end
