require 'happymapper'

module TuffnellsApi
  class CollectionAddress
    include HappyMapper

    tag 'ArrayOfTrackingRecord'
    tag 'TrackingRecord'
    tag 'CollectionAddress'

    element :company_name, String, tag: 'CompanyName'
    element :address_1, String, tag: 'Address1'
    element :address_2, String, tag: 'Address2'
    element :address_3, String, tag: 'Address3'
    element :town, String, tag: 'Town'
    element :postcode, String, tag: 'Postcode'
    element :contact_name, String, tag: 'ContactName'
    element :contact_phone, String, tag: 'ContactTelephone'
  end
end
