require 'happymapper'

module TuffnellsApi
  class ConsignmentInformation
    include HappyMapper

    tag 'ArrayOfTrackingRecord'
    tag 'TrackingRecord'
    tag 'ConsignmentInformation'

    element :pieces, Integer, tag: 'Pieces'
    element :pallets, Integer, tag: 'Pallets'
    element :weight, Integer, tag: 'Weight'
    element :service, String, tag: 'Service'
    element :delivery_date, String, tag: 'DeliveryDate'
    element :items_delivered, Integer, tag: 'ItemsDelivered'
    element :consignment_ref, String, tag: 'ConsignmentRef'
    element :special_instructions, String, tag: 'SpecialInstructions'
  end
end
