require 'happymapper'

module TuffnellsApi
  class Movement
    include HappyMapper

    tag 'Movement'

    element :movement_date, String, tag: 'MovementDate'
    element :movement_time, String, tag: 'MovementTime'
    element :description, String, tag: 'Description'
    element :depot, String, tag: 'DeliveryDepot'
    element :round, String, tag: 'Round'
    element :delivery_date, String, tag: 'DeliveryDate'
    element :packages_received, String, tag: 'PackagesReceived'
    element :packaged_delivered, String, tag: 'PackagedDelivered'
  end
end
