require 'happymapper'

module TuffnellsApi
  class Scan
    include HappyMapper

    tag 'Scan'

    element :piece_id, Integer, tag: 'PieceID'
    element :description, String, tag: 'Description'
    element :depot, String, tag: 'Depot'
    element :date, String, tag: 'ScanDate'
    element :time, String, tag: 'ScanTime'
    element :scanned_by, String, tag: 'ScannedBy'
  end
end
